# Uses of Class
com.fasterxml.jackson.core.util.JacksonFeatureSet

Packages that use JacksonFeatureSet
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.json.async
Non-blocking ("async") JSON parser implementation.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JacksonFeatureSet in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as JacksonFeatureSet
Modifier and Type
Field
Description
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`DEFAULT_BINARY_WRITE_CAPABILITIES`
Default set of `StreamWriteCapability`ies for typical binary formats, to use either as-is, or as a base with possible differences.
`protected static final JacksonFeatureSet<StreamReadCapability>`
JsonParser.`DEFAULT_READ_CAPABILITIES`
Default set of `StreamReadCapability`ies that may be used as basis for format-specific readers (or as bogus instance if non-null set needs to be passed).
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`DEFAULT_TEXTUAL_WRITE_CAPABILITIES`
Default set of `StreamWriteCapability`ies for typical textual formats, to use either as-is, or as a base with possible differences.
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`DEFAULT_WRITE_CAPABILITIES`
Default set of `StreamWriteCapability`ies that may be used as basis for format-specific readers (or as bogus instance if non-null set needs to be passed).
Methods in com.fasterxml.jackson.core that return JacksonFeatureSet
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamReadCapability>`
JsonParser.`getReadCapabilities()`
Accessor for getting metadata on capabilities of this parser, based on underlying data format being read (directly or indirectly).
`JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`getWriteCapabilities()`
Accessor for getting metadata on capabilities of this generator, based on underlying data format being read (directly or indirectly).

## Uses of JacksonFeatureSet in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base declared as JacksonFeatureSet
Modifier and Type
Field
Description
`protected static final JacksonFeatureSet<StreamReadCapability>`
ParserBase.`JSON_READ_CAPABILITIES`

## Uses of JacksonFeatureSet in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as JacksonFeatureSet
Modifier and Type
Field
Description
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGeneratorImpl.`JSON_WRITE_CAPABILITIES`
Default capabilities for JSON generator implementations which do not different from "general textual" defaults
Methods in com.fasterxml.jackson.core.json that return JacksonFeatureSet
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamReadCapability>`
ReaderBasedJsonParser.`getReadCapabilities()`
`JacksonFeatureSet<StreamReadCapability>`
UTF8DataInputJsonParser.`getReadCapabilities()`
`JacksonFeatureSet<StreamReadCapability>`
UTF8StreamJsonParser.`getReadCapabilities()`
`JacksonFeatureSet<StreamWriteCapability>`
JsonGeneratorImpl.`getWriteCapabilities()`

## Uses of JacksonFeatureSet in com.fasterxml.jackson.core.json.async

Methods in com.fasterxml.jackson.core.json.async that return JacksonFeatureSet
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamReadCapability>`
NonBlockingJsonParserBase.`getReadCapabilities()`

## Uses of JacksonFeatureSet in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return JacksonFeatureSet
Modifier and Type
Method
Description
`static <F extends JacksonFeature>
JacksonFeatureSet<F>`
JacksonFeatureSet.`fromBitmask(int bitmask)`
`static <F extends JacksonFeature>
JacksonFeatureSet<F>`
JacksonFeatureSet.`fromDefaults(F[] allFeatures)`
"Default" factory which will calculate settings based on default-enabled status of all features.
`JacksonFeatureSet<StreamReadCapability>`
JsonParserDelegate.`getReadCapabilities()`
`JacksonFeatureSet<StreamWriteCapability>`
JsonGeneratorDelegate.`getWriteCapabilities()`
`JacksonFeatureSet<F>`
JacksonFeatureSet.`with(F feature)`
Mutant factory for getting a set in which specified feature is enabled: will either return this instance (if no change), or newly created set (if there is change).
`JacksonFeatureSet<F>`
JacksonFeatureSet.`without(F feature)`
Mutant factory for getting a set in which specified feature is disabled: will either return this instance (if no change), or newly created set (if there is change).